using System;
using System.IO;
using System.Collections.Generic;
using System.Text;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Audio;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;
using Microsoft.Xna.Framework.Storage;

namespace TiledLevel
{
    // A set of flags indicating four different directions.
    public enum Direction
    {
        None  = 0x0000,
        Up    = 0x0001,
        Right = 0x0002,
        Down  = 0x0004,
        Left  = 0x0008
    };

    /// <summary>
    /// A texture container so that an object of this type can be passed around while the actual
    /// texture is null.  When the texture is eventually loaded everyone with a reference to the
    /// container can now access the texture.
    /// </summary>
    class TextureContainer
    {
        public Texture2D tex;
    };

    static class Global
    {
        public static Random rnd = new Random();
        public static GraphicsDeviceManager graphics;

        public static int screenWidth, screenHeight;

        public static float TendToZero(float val, float amount)
        {
            if (val > 0f && (val -= amount) < 0f) return 0f;
            if (val < 0f && (val += amount) > 0f) return 0f;
            return val;
        }

        public static bool IsInt(float value)
        {
            return ((float)((int)value) == value);
        }
    }
}